import request from '@/utils/request'
/**
 * 条件查询
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
 export function mpprodplanQuery(data) {
    return request({
      url: '/api/gxzz/mpProdPlan/all',
      method: 'post',
      data
    })
  }


/**
 * 修改
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
 export function mpprodplanupdate(data) {
    return request({
      url: '/api/gxzz/mpProdPlan/update',
      method: 'post',
      data
    })
  }

  /**
 * 增加
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
 export function mpprodplaninsert(data) {
  return request({
    url: '/api/gxzz/mpProdPlan/insert',
    method: 'post',
    data
  })
}


  /**
 * 删除
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
   export function mpprodplandelect(data) {
    return request({
      url: '/api/gxzz/mpProdPlan/delect',
      method: 'post',
      data
    })
  }



/**
 * 导入生产计划
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
     export function mpprodplanUploadExcel(data) {
      return request({
        url: '/api/gxzz/mpProdPlan/uploadExcel',
        method: 'post',
        data
      })
    }


    /**
 * 审批
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
     export function mpprodplanUploadSh(data) {
      return request({
        url: '/api/gxzz/mpProdPlan/updateSelectSh',
        method: 'post',
        data
      })
    }

/**
 * 船只编号
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
         export function queryProject(data) {
          return request({
            url: '/api/gj/dmProject/getpro',
            method: 'post',
            data
          })
        }

